{ config, pkgs, lib, ... }: {

  imports = [

    <system/desktop>
    ./hardware-configuration.nix
    ./tinc.nix

  ];

  system.custom.wifi.interfaces = [ ];

  networking.hostName = "mobi";

  security.wrappers = {
    pmount.source = "${pkgs.pmount}/bin/pmount";
    pumount.source = "${pkgs.pmount}/bin/pumount";
  };

  # fonts
  # -----
  programs.custom.urxvt.fontSize = 12;
  programs.custom.xterm.fontSize = 12;
  system.custom.fonts.dpi = 100;

  configuration.desktop = {
    width = 1366;
    height = 768;
  };

}

