{ config, pkgs, lib, ... }: {

  imports = [

    <system/server>
    ./hardware-configuration.nix

    ./home-assistant.nix
    ./kodi.nix
    ./syncthing.nix
    ./tinc.nix
    ./wifi-access-point.nix
    #./lan.nix
    ./dms.nix

    ./borg.nix

  ];

  networking.hostName = "pepe";

  # fonts
  # -----
  programs.custom.urxvt.fontSize = 12;
  programs.custom.xterm.fontSize = 12;
  system.custom.fonts.dpi = 100;

  # networking
  # ----------
  #system.custom.wifi = {
  #enable = false;
  #interfaces = [ "wlp3s0" ];
  #configurationFile = <secrets/wpa_supplicant>;
  #};

  # just enable lan
  networking.dhcpcd.allowInterfaces = [ "enp0s25" ];

  # nix-shell -p speedtest_cli --run speedtest
  configuration.fireqos = {
    enable = true;
    interface = "wlp3s0";
    input = 5000;
    output = 1200;
    balance = false;
  };

  services.printing.enable = false;
  services.smartd.enable = true;

}

