# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

{
  imports = [
    <nixpkgs/nixos/modules/installer/scan/not-detected.nix>

    (let mediaUUID = "29ebe5ba-7599-4dd3-99a3-37b9bf8e4d61";
    in {
      fileSystems."/media" = {
        device = "/dev/disk/by-uuid/${mediaUUID}";
        fsType = "ext4";
        options = [
          "nofail"
          "noauto"
          #"x-systemd.device-timeout=1ms"
        ];
      };
      systemd.mounts = [{
        enable = true;
        options = "nofail,noauto";
        type = "ext4";
        wantedBy = [ "multi-user.target" ];
        what = "/dev/disk/by-uuid/${mediaUUID}";
        where = "/media";
      }];
    })
  ];

  boot.initrd.availableKernelModules =
    [ "ehci_pci" "ahci" "usb_storage" "sd_mod" "sdhci_pci" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  boot.loader.grub = {
    enable = true;
    version = 2;
    device = "/dev/sda";
  };

  zramSwap = {
    enable = true;
    numDevices = 2;
    swapDevices = 1;
    memoryPercent = 50;
  };

  fileSystems."/share/" = {
    device = "/dev/ram1";
    fsType = "tmpfs";
  };

  nix.maxJobs = lib.mkDefault 4;
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  # lvm volume group
  # ----------------
  boot.initrd.luks.devices = [{
    name = "secure_vg";
    device = "/dev/sda2";
    preLVM = true;
  }];

  # NTFS support
  # ------------
  environment.systemPackages = [ pkgs.ntfs3g ];

  # root
  # ----
  fileSystems."/" = {
    options = [ "noatime" "nodiratime" "discard" ];
    device = "/dev/secure_vg/root";
    fsType = "ext4";
  };

  # boot
  # ----
  fileSystems."/boot" = {
    device = "/dev/sda1";
    fsType = "ext4";
  };

}
