{ config, lib, pkgs, ... }: {

  services.xserver = {
    enable = true;
    autorun = true;
    desktopManager = {
      kodi.enable = true;
      default = "kodi";
      xterm.enable = false;
    };
    displayManager = {
      sddm = {
        enable = true;
        autoLogin = {
          enable = true;
          relogin = true;
          user = config.users.users.kodi.name;
        };
      };
    };
  };

  users = {
    # mutableUsers = true;
    users.kodi = {
      isNormalUser = true;
      name = "kodi";
      uid = 1338;
      initialPassword = lib.fileContents <secrets/kodi/password>;
    };
  };

  # allow everybody in the net to access the wifi
  networking.firewall = {
    allowedTCPPorts = [ 8080 ];
    allowedUDPPorts = [ 8080 ];
  };
}
