{ config, pkgs, lib, ... }: {

  test.services.syncthing = {
    enable = true;
    openDefaultPorts = false;
    user = "palo";
    dataDir = "/home/palo/.syncthing";
    configDir = "/home/palo/.syncthing";
    declarative = {
      cert = toString <secrets/syncthing/cert.pem>;
      key = toString <secrets/syncthing/key.pem>;
      overrideFolders = true;
      folders = {

        # on encrypted drive
        # ------------------
        private = {
          enable = true;
          path = "/home/palo/private";
        };
        desktop = {
          enable = true;
          path = "/home/palo/desktop";
        };
        finance = {
          enable = true;
          path = "/home/palo/finance";
        };
        fotos = {
          enable = true;
          path = "/home/palo/fotos";
        };
        samples = {
          enable = true;
          path = "/home/palo/samples";
        };
        zettlr = {
          enable = true;
          path = "/home/palo/zettlr";
        };
        programs = {
          enable = true;
          path = "/home/palo/programs";
        };

        # no need to be encrypted
        # -----------------------
        book = {
          enable = true;
          path = "/home/palo/books";
        };
        music-library = {
          enable = true;
          path = "/home/palo/music-library";
        };
        music-projects = {
          enable = true;
          path = "/home/palo/music-projects";
        };
        smartphone-folder = {
          enable = true;
          path = "/home/palo/smartphone-folder";
        };
        workhorse-sterni = {
          enable = true;
          path = "/home/palo/sync-to-workhorse";
        };
        processing = {
          enable = true;
          path = "/home/palo/sketchbook";
        };

      };
    };
  };

  system.permown."/home/palo/music-library" = {
    owner = "palo";
    group = "users";
  };
}
