{ config, ... }: {
  services.nginx = {
    enable = true;
    statusPage = true;
    virtualHosts = {
      "kibana.${config.networking.hostName}.private" = {
        serverAliases = [ ];
        locations."/" = {
          proxyPass = "http://${config.networking.hostName}.private:${
              toString config.services.kibana.port
            }";
        };
      };
    };
  };

  services.elasticsearch.enable = true;
  services.elasticsearch.listenAddress = "workhorse.private";

  services.kibana.enable = true;
  services.kibana.elasticsearch.hosts = [ "http://workhorse.private:9200" ];
  services.kibana.listenAddress = "workhorse.private";
  services.kibana.port = 5601;

}
