{ pkgs, lib, config, ... }: {

  services.metabase = {
    listen.port = 3040;
    enable = true;
  };

  backup.dirs = [ "/var/lib/metabase" ];

  services.nginx = {
    enable = true;
    statusPage = true;
    virtualHosts = {
      "metabase.${config.networking.hostName}.private" = {
        locations."/" = {
          proxyPass = "http://${config.networking.hostName}.private:${
              toString config.services.metabase.listen.port
            }";
        };
      };
    };
  };

}
