{ pkgs, lib, config, ... }: {

  services.mysql = {
    enable = true;
    package = pkgs.mysql80;
    initialScript = pkgs.writeText "initScript" ''
      CREATE USER 'admin'@'%' IDENTIFIED BY 'admin';
      GRANT ALL PRIVILEGES ON * . * TO 'admin'@'%';
    '';
  };

  services.mysqlBackup = {
    enable = true;
    databases = [ "property" ];
    user = "root";
  };

  backup.dirs = [ config.services.mysqlBackup.location ];

}
