{ config, pkgs, ... }:
let unstable = import <nixpkgs-unstable> { };
in {

  # overlay included
  nixpkgs.overlays = [ (import <mozilla-overlay/rust-overlay.nix>) ];

  nixpkgs.config.packageOverrides = pkgs: {
    nur = import (builtins.fetchTarball
      "https://github.com/nix-community/NUR/archive/master.tar.gz") {
        inherit pkgs;
      };
  };

  environment.systemPackages = with pkgs; [
    bitwig-studio
    sononym-crawler

    # rust development environment
    rustup
    jetbrains.clion

    # python
    python3Full
    jetbrains.pycharm-professional
    jetbrains.datagrip
    #unstable.pypi2nix

    #nur.repos.mic92.nixos-shell
    jetbrains.idea-ultimate

  ];

}
