{ pkgs, lib, ... }: {
  desktopFile = bin:
    { longName ? "Script", command ? "${bin}/bin/${bin.name}", ... }:
    pkgs.writeTextFile {
      name = "${bin.name}.desktop";
      destination = "/share/applications/${bin.name}.desktop";
      text = ''
        [Desktop Entry]
        Type=Application
        Exec=${bin}/bin/${command} %U
        Comment=An open source web browser from Google
        Terminal=false
        Name=${bin.name}
        GenericName=${longName}
        StartupWMClass=${bin.name}
      '';
    };

  jenkins = import ./jenkins.nix { inherit lib; };

}
