{ stdenv, fetchurl, pkgconfig, curl, glib, id3lib, libxml2, ... }:

stdenv.mkDerivation rec {
  version = "1.2.4";
  name = "castget-${version}";

  src = fetchurl {
    url = "http://savannah.nongnu.org/download/castget/${name}.tar.bz2";
    sha256 = "0bb9pb1pn3d3x6a0l1d7l77gjq369g5v62bbnmg4k1jkxl633vli";
  };

  buildInputs = [ glib libxml2 curl id3lib pkgconfig ];

  meta = with stdenv.lib; {
    description =
      "a simple, command-line based RSS enclosure downloader. It is primarily intended for automatic, unattended downloading of podcasts.";
    homepage = "https://castget.johndal.com";
    license = licenses.gpl2;
    platforms = platforms.linux;
    maintainers = with maintainers; [ mrVanDalo ];
  };
}
