# This overlay extends nixpkgs .

self: super:

let
  callPackage = super.lib.callPackageWith super;
  unstablePkgs = import <nixpkgs-unstable> { };

in {

  image-generator = super.callPackage ./image-generator { };

  bitwig-studio1 = super.bitwig-studio1.override {
    libxkbcommon = super.libxkbcommon.overrideAttrs (old: rec {
      name = "libxkbcommon-0.7.2";
      src = super.fetchurl {
        url = "https://xkbcommon.org/download/${name}.tar.xz";
        sha256 = "1n5rv5n210kjnkyrvbh04gfwaa7zrmzy1393p8nyqfw66lkxr918";
      };
    });
  };

  haskellPackages = super.haskellPackages.override {
    overrides = self: super: { mahlzeit = super.callPackage ./mahlzeit { }; };
  };

  gitlog2json = callPackage ./gitlog2json { };

  fuji-cam-wifi-tool = callPackage ./fuji-cam { };

  navi = callPackage ./navi { };

  bitwig-studio3 = callPackage ./bitwig-studio/bitwig-studio3.nix { };

  bitwig-studio = callPackage ./bitwig-studio/bitwig-studio-environment.nix { };

  lv2vst = callPackage ./lv2vst { };

  wolf-spectrum = callPackage ./wolf-spectrum { };

  landingpage = callPackage ./landingpage { };

  light-control = callPackage ./light-control { };

  bepasty-client-cli = callPackage ./bepasty-client-cli { };

  emo = callPackage ./emoji { };

  processing = callPackage ./processing { jdk = super.oraclejdk8; };

  otpmenu = callPackage ./otpmenu { };

  taskwarrior-hooks = callPackage ./taskwarrior-hooks { };

  terminal-tools = callPackage ./terminal-tools { };

  # use upstream only for package tests
  # memo = callPackage ./memo {};

  sononym = callPackage ./sononym { };
  sononym-crawler = callPackage ./sononym-crawler { };

  castget = callPackage ./castget { };

  #nixos-generators = callPackage (super.fetchgit {
  #  url = "https://github.com/nix-community/nixos-generators.git";
  #  # before flakes
  #  #rev = "5eb0cbe93bd1bcf134ec330c06b6f1e645de64c6";
  #  #sha256 = "0ghwy0xh7x7hwym8hzx95fj9yw8gxb4ffh56dn0p8a6scnlffci6";
  #  # with flaks
  #  #rev = "450f39121c45b93951c52874fe233455d007d3bc";
  #  #sha256 = "1iwc39hzvzzyndxwbnl3fck7phxnjpnhy8zn4nyp8is1fiw0648v";
  #}) { };

  radio-dj = callPackage (super.fetchgit {
    url = "https://git.ingolf-wagner.de/crashburn_radio/radio_dj.git";
    rev = "0.1.5";
    sha256 = "04j6gcb6ayrcf7rxr0bkgd48zppiryhdyv7mvp0q12ngdkf2yagd";
  }) { };

  #lektor = let
  #  python = import ./lektor-with-plugins/requirements.nix { pkgs = super.pkgs; };
  #in
  #  python.packages.Lektor;

}
