{ config, lib, ... }:
let
  backupFolder = "~/desktop";
  homeFolder = "/browsers";
in {
  programs.custom.browser = {
    enable = true;
    configList = {
      development = {
        home = "${homeFolder}/development-browser";
        homeBackup = "${backupFolder}/development-browser";
      };
      google = {
        home = "${homeFolder}/google-browser";
        homeBackup = "${backupFolder}/google-browser";
      };
      finance = {
        home = "${homeFolder}/finance-browser";
        homeBackup = "${backupFolder}/finance-browser";
      };
      facebook = {
        home = "${homeFolder}/facebook-browser";
        homeBackup = "${backupFolder}/facebook-browser";
      };
      shopping = {
        home = "${homeFolder}/shopping-browser";
        homeBackup = "${backupFolder}/shopping-browser";
      };
      mindcurv = {
        home = "${homeFolder}/mindcurv-browser";
        homeBackup = "${backupFolder}/mindcurv-browser";
      };
      cbase = {
        home = "${homeFolder}/cbase-browser";
        homeBackup = "${backupFolder}/cbase-browser";
      };
      nz-browser = {
        home = "${homeFolder}/nz-browser";
        homeBackup = "${backupFolder}/nz-browser";
      };

      firefox-tmp = {
        browserType = "firefox";
        home = "${homeFolder}/firefox-tmp";
        homeBackup = "${backupFolder}/firefox-tmp-browser";
      };
      chromium-tmp = {
        browserType = "chrome";
        home = "${homeFolder}/chromium-tmp";
        homeBackup = "${backupFolder}/chrome-tmp-browser";
      };
      google-tmp = {
        browserType = "google";
        home = "${homeFolder}/google-tmp";
        homeBackup = "${backupFolder}google-tmp-browser";
      };

    };
  };

}
